import Layout from '@/views/layout/Layout'
import {
  S_IFMT
} from 'constants'

export default {
  path: '/device',
  component: Layout,
  redirect: '/device/main',
  name: 'device',
  alwaysShow: true,
  meta: {
    title: 'deviceManage',
    icon: 'shebei'
  },
  children: [{
      path: '/device/zones',
      component: () => import('@/xt_pages/device/zone_main'),
      name: 'deviceZoneManage',
      meta: {
        title: 'deviceZoneManage',
        noCache: true,

      }
    },
    {
      path: '/device/groups',
      component: () => import('@/xt_pages/device/group_main'),
      name: 'deviceGroupManage',
      meta: {
        title: 'deviceGroupManage',
        noCache: true,

      }
    },
    {
      path: '/device/numbers',
      component: () => import('@/xt_pages/device/number_main'),
      name: 'deviceNumberManage',
      meta: {
        title: 'deviceNumberManage',
        noCache: true,

      }
    },
    {
      path: '/device/mode',
      component: () => import('@/xt_pages/mode/index'),
      name: 'modemanagement',
      meta: {
        title: 'modemanagement',
        noCache: true,

      }
    },
    {
      path: '/device/main',
      component: () => import('@/xt_pages/management/index'),
      // component: () => import("@/xt_pages/device/main"),
      name: 'dialysisMachineManage',
      meta: {
        title: 'dialysisMachineManage',
        noCache: true,

      }
    },
    {
      path: '/device/home',
      component: () => import('@/xt_pages/management/home'),
      name: 'managementHome',
      is_menu: false,
      hidden: true,
      meta: {
        title: '设备管理详情页',
        noCache: true,

      }
    }

  ]
}
